[Xenomai] Subscribe request

ilyasse toumi toumi.ily at gmail.com
Tue Dec 15 13:19:29 CET 2015


Hi there,

I'm using kernel rpi-3.18.y as mentioned in an email sent by Joe Lee about
RPI2, I used the patch ipipe-core-3.18.20-arm-6.patch and also the patch
for RPI2 version5, the problem is that when i try to compile the kernel
after patching it it gives some errors.
It's about some implicit declarations of functions that are present in the
patch like

__ipipe_mach_update_tsc
smp_mb__before_atomic_dec
smp_mb__before_atomic_dec
....

Could someone please help me solve these errors.

Or if someone succeeded in patching the Kernel for RPI2, please provide a
tutorial o some help with details

​thanks in advance
-- 
--


More information about the Xenomai mailing list